<template>
  <component
    :is="parameter.component"
    :parameter="parameter"
  />
</template>

<script>
import NumberParameterView from './Parameters/NumberParameterView';
import SelectParameterView from './Parameters/SelectParameterView';
import ToggleParameterView from './Parameters/ToggleParameterView';
import Parameter from '../parameters/Parameter';

export default {
  components: {
    NumberParameterView,
    SelectParameterView,
    ToggleParameterView
  },
  props: {
    parameter: { type: Object, required: true }
  }
}
</script>
